# -*- coding: utf-8 -*-
# Generated by Django 1.11.18 on 2019-04-02 20:19
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('events', '0032_create_imbh_search'),
    ]

    operations = [
        migrations.CreateModel(
            name='PipelineLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('action', models.CharField(choices=[(b'D', b'disable'), (b'E', b'enable')], max_length=10)),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterModelOptions(
            name='pipeline',
            #options={'permissions': (('manage_pipeline', 'Can enable or disable pipeline'),)},
            options={'default_permissions': ('add', 'change', 'delete'), 'permissions': (('manage_pipeline', 'Can enable or disable pipeline'),)},
        ),
        migrations.AddField(
            model_name='pipeline',
            name='enabled',
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name='pipelinelog',
            name='pipeline',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='events.Pipeline'),
        ),
    ]
